"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.connect = exports.getProject = exports.projects = exports.pipeTable = void 0;
const os = require("os");
const net = require("net");
const path = require("path");
const { version } = require('../package.json');
exports.pipeTable = path.join(os.tmpdir(), `vue-tsp-table-${version}.json`);
exports.projects = new Map();
function getProject(fileName) {
    for (const [project, data] of exports.projects) {
        if (project.containsFile(fileName)) {
            return data;
        }
    }
}
exports.getProject = getProject;
function connect(path) {
    return new Promise(resolve => {
        const client = net.connect(path);
        client.on('connect', () => {
            resolve(client);
        });
        client.on('error', () => {
            return resolve(undefined);
        });
    });
}
exports.connect = connect;
//# sourceMappingURL=utils.js.map